Debian Bug report logs - #609624
console-setup: Broken Greek translation

version graph

Package: console-setup; Maintainer for console-setup is Debian Install System Team <debian-boot@lists.debian.org>; Source for console-setup is src:console-setup.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Tue, 11 Jan 2011 01:27:02 UTC

Severity: serious

Tags: d-i

Found in version console-setup/1.67

Fixed in version console-setup/1.68

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, galas@tee.gr, bubulle@debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to galas@tee.gr, bubulle@debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 01:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 02:24:23 +0100
Package: console-setup
Version: 1.67
Severity: serious
Tags: d-i
Justification: Breaks d-i in Greek

Hi,

the Greek translation update in #604145 seems to have broken the
graphical installer in Greek for rc1, while it was working fine for
beta2. One can suspect the us-ascii encoding in the attached file
(which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
saving the file).

Currently, all what users get is a bunch of questions marks.

(Opening the .po shows them quite clearly, no need to boot the installer
to check that.)

In that other bug, Christian was asking for a tiny update to that file,
I'm putting both Emmanuel and Christian in copy accordingly.

KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 07:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 06:47:47 +0100
[Message part 1 (text/plain, inline)]
Quoting Cyril Brulebois (kibi@debian.org):
> Package: console-setup
> Version: 1.67
> Severity: serious
> Tags: d-i
> Justification: Breaks d-i in Greek
> 
> Hi,
> 
> the Greek translation update in #604145 seems to have broken the
> graphical installer in Greek for rc1, while it was working fine for
> beta2. One can suspect the us-ascii encoding in the attached file
> (which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
> saving the file).

Crap. Yet another victim of this bug in mutt (I guess this is a bug in
mutt, I'm not sure of this), which I try to avoid the exact same way
you describe.

> Currently, all what users get is a bunch of questions marks.
> 
> (Opening the .po shows them quite clearly, no need to boot the installer
> to check that.)
> 
> In that other bug, Christian was asking for a tiny update to that file,
> I'm putting both Emmanuel and Christian in copy accordingly.


Will take care of this.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 08:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 609624@bugs.debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 06:58:39 +0100
[Message part 1 (text/plain, inline)]
Quoting Cyril Brulebois (kibi@debian.org):
> Package: console-setup
> Version: 1.67
> Severity: serious
> Tags: d-i
> Justification: Breaks d-i in Greek
> 
> Hi,
> 
> the Greek translation update in #604145 seems to have broken the
> graphical installer in Greek for rc1, while it was working fine for
> beta2. One can suspect the us-ascii encoding in the attached file
> (which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
> saving the file).
> 
> Currently, all what users get is a bunch of questions marks.
> 
> (Opening the .po shows them quite clearly, no need to boot the installer
> to check that.)
> 
> In that other bug, Christian was asking for a tiny update to that file,
> I'm putting both Emmanuel and Christian in copy accordingly.


Here's the file, resynced with the current POT file, and using the
correct encoding.



I also corrected the Last-Translator and Language-Team fields.


[el.po (application/x-gettext, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 08:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 08:24:08 GMT) Full text and rfc822 format available.

Message #20 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 609624@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, 537061@bugs.debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 09:20:41 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 06:47:47 +0100, Christian PERRIER wrote:

> Quoting Cyril Brulebois (kibi@debian.org):
> > Package: console-setup
> > Version: 1.67
> > Severity: serious
> > Tags: d-i
> > Justification: Breaks d-i in Greek
> > 
> > Hi,
> > 
> > the Greek translation update in #604145 seems to have broken the
> > graphical installer in Greek for rc1, while it was working fine for
> > beta2. One can suspect the us-ascii encoding in the attached file
> > (which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
> > saving the file).
> 
> Crap. Yet another victim of this bug in mutt (I guess this is a bug in
> mutt, I'm not sure of this), which I try to avoid the exact same way
> you describe.
> 
Yes, it's #537061.  Which IMO should get fixed in sid and squeeze, not
just experimental...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 08:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 609624@bugs.debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 09:43:38 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 06:58:39 +0100, Christian PERRIER wrote:

> Here's the file, resynced with the current POT file, and using the
> correct encoding.
> 
Thanks.  Should I take care of an upload?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 09:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Radici <antonio@dyne.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 09:24:07 GMT) Full text and rfc822 format available.

Message #30 received at 609624@bugs.debian.org (full text, mbox):

From: Antonio Radici <antonio@dyne.org>
To: Julien Cristau <jcristau@debian.org>, 537061@bugs.debian.org
Cc: Christian PERRIER <bubulle@debian.org>, 609624@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#537061: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 09:20:20 +0000
On Tue, Jan 11, 2011 at 09:20:41AM +0100, Julien Cristau wrote:
> On Tue, Jan 11, 2011 at 06:47:47 +0100, Christian PERRIER wrote:
> 
> > Quoting Cyril Brulebois (kibi@debian.org):
> > Crap. Yet another victim of this bug in mutt (I guess this is a bug in
> > mutt, I'm not sure of this), which I try to avoid the exact same way
> > you describe.
> > 
> Yes, it's #537061.  Which IMO should get fixed in sid and squeeze, not
> just experimental...

Please reopen the bug (or even a new one) and raise it to serious or
grave and I'll prepare the upload and ask for an exception.

Cheers
Antonio




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 09:33:05 GMT) Full text and rfc822 format available.

Message #35 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Antonio Radici <antonio@dyne.org>
Cc: 537061@bugs.debian.org, Christian PERRIER <bubulle@debian.org>, 609624@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#537061: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 10:30:25 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 09:20:20 +0000, Antonio Radici wrote:

> On Tue, Jan 11, 2011 at 09:20:41AM +0100, Julien Cristau wrote:
> > On Tue, Jan 11, 2011 at 06:47:47 +0100, Christian PERRIER wrote:
> > 
> > > Quoting Cyril Brulebois (kibi@debian.org):
> > > Crap. Yet another victim of this bug in mutt (I guess this is a bug in
> > > mutt, I'm not sure of this), which I try to avoid the exact same way
> > > you describe.
> > > 
> > Yes, it's #537061.  Which IMO should get fixed in sid and squeeze, not
> > just experimental...
> 
> Please reopen the bug (or even a new one) and raise it to serious or
> grave and I'll prepare the upload and ask for an exception.
> 
Severity bumped to grave, I don't think reopening is necessary, version
tracking takes care of things.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 10:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 10:58:11 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 02:24:23 +0100, Cyril Brulebois wrote:

> Package: console-setup
> Version: 1.67
> Severity: serious
> Tags: d-i
> Justification: Breaks d-i in Greek
> 
> Hi,
> 
> the Greek translation update in #604145 seems to have broken the
> graphical installer in Greek for rc1, while it was working fine for
> beta2. One can suspect the us-ascii encoding in the attached file
> (which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
> saving the file).
> 
> Currently, all what users get is a bunch of questions marks.
> 
Looks like it's not just Greek.

$ grep -c '??' debian/po/*|grep -v :0
debian/po/fa.po:122
debian/po/he.po:47
debian/po/is.po:118
debian/po/pa.po:162
debian/po/zh_TW.po:170

Christian, do you have all those original files?  Otherwise I'll try and
dig up the bug reports.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 10:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 11:12:54 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 10:58:11 +0100, Julien Cristau wrote:

> On Tue, Jan 11, 2011 at 02:24:23 +0100, Cyril Brulebois wrote:
> 
> > Package: console-setup
> > Version: 1.67
> > Severity: serious
> > Tags: d-i
> > Justification: Breaks d-i in Greek
> > 
> > Hi,
> > 
> > the Greek translation update in #604145 seems to have broken the
> > graphical installer in Greek for rc1, while it was working fine for
> > beta2. One can suspect the us-ascii encoding in the attached file
> > (which should be changed through ^E in mutt, s/us-ascii/utf-8/, before
> > saving the file).
> > 
> > Currently, all what users get is a bunch of questions marks.
> > 
> Looks like it's not just Greek.
> 
And it's not just console-setup, either.  Though that seems to have
gathered the worst of it.  http://paste.debian.net/104282/

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 11:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 11:30:05 GMT) Full text and rfc822 format available.

Message #50 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 12:26:57 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 10:58:11 +0100, Julien Cristau wrote:

> $ grep -c '??' debian/po/*|grep -v :0
> debian/po/fa.po:122

Should be restored.

> debian/po/he.po:47

Restored minus one string.

> debian/po/is.po:118

This doesn't seem to be in a bug report, so I don't know where to find
the original file.

> debian/po/pa.po:162

Same, as is.po, I can't find it.

> debian/po/zh_TW.po:170
> 
Restored.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 12:15:03 GMT) Full text and rfc822 format available.

Message #55 received at 609624@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 13:12:30 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2011 at 12:26:57 +0100, Julien Cristau wrote:

> > debian/po/is.po:118
> 
> This doesn't seem to be in a bug report, so I don't know where to find
> the original file.
> 
> > debian/po/pa.po:162
> 
> Same, as is.po, I can't find it.
> 
I've reverted those two to the previous non-broken version (which means
more fuzzy or untranslated strings, but that's better than question
marks all over, I think).  I'll try to make the 13:52 dinstall.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 11 Jan 2011 13:21:07 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 11 Jan 2011 13:21:07 GMT) Full text and rfc822 format available.

Message #60 received at 609624-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 609624-close@bugs.debian.org
Subject: Bug#609624: fixed in console-setup 1.68
Date: Tue, 11 Jan 2011 13:17:18 +0000
Source: console-setup
Source-Version: 1.68

We believe that the bug you reported is fixed in the latest version of
console-setup, which is due to be installed in the Debian FTP archive:

bdf2psf_1.68_all.deb
  to main/c/console-setup/bdf2psf_1.68_all.deb
console-setup-amiga-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-amiga-ekmap_1.68_all.udeb
console-setup-ataritt-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-ataritt-ekmap_1.68_all.udeb
console-setup-fonts-udeb_1.68_all.udeb
  to main/c/console-setup/console-setup-fonts-udeb_1.68_all.udeb
console-setup-macintoshold-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-macintoshold-ekmap_1.68_all.udeb
console-setup-mini_1.68_all.deb
  to main/c/console-setup/console-setup-mini_1.68_all.deb
console-setup-pc-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-pc-ekmap_1.68_all.udeb
console-setup-sun4-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-sun4-ekmap_1.68_all.udeb
console-setup-sun5-ekmap_1.68_all.udeb
  to main/c/console-setup/console-setup-sun5-ekmap_1.68_all.udeb
console-setup-udeb_1.68_all.udeb
  to main/c/console-setup/console-setup-udeb_1.68_all.udeb
console-setup_1.68.dsc
  to main/c/console-setup/console-setup_1.68.dsc
console-setup_1.68.tar.gz
  to main/c/console-setup/console-setup_1.68.tar.gz
console-setup_1.68_all.deb
  to main/c/console-setup/console-setup_1.68_all.deb
keyboard-configuration_1.68_all.deb
  to main/c/console-setup/keyboard-configuration_1.68_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated console-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 11 Jan 2011 13:10:38 +0100
Source: console-setup
Binary: keyboard-configuration console-setup console-setup-mini bdf2psf console-setup-udeb console-setup-amiga-ekmap console-setup-ataritt-ekmap console-setup-macintoshold-ekmap console-setup-pc-ekmap console-setup-sun4-ekmap console-setup-sun5-ekmap console-setup-fonts-udeb
Architecture: source all
Version: 1.68
Distribution: unstable
Urgency: high
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 bdf2psf    - font converter to generate console fonts from BDF source fonts
 console-setup - console font and keymap setup program
 console-setup-amiga-ekmap - encoded keyboard layouts for Amiga keyboards (udeb)
 console-setup-ataritt-ekmap - encoded keyboard layouts for Atari TT keyboards (udeb)
 console-setup-fonts-udeb - console fonts for Debian Installer (udeb)
 console-setup-macintoshold-ekmap - encoded keyboard layouts for old-style Macintosh keyboards (udeb)
 console-setup-mini - console font and keymap setup program - reduced version
 console-setup-pc-ekmap - encoded keyboard layouts for PC keyboards (udeb)
 console-setup-sun4-ekmap - encoded keyboard layouts for Sun4 keyboards (udeb)
 console-setup-sun5-ekmap - encoded keyboard layouts for Sun5 keyboards (udeb)
 console-setup-udeb - Configure the keyboard (udeb)
 keyboard-configuration - system-wide keyboard preferences
Closes: 609624
Changes: 
 console-setup (1.68) unstable; urgency=high
 .
   * Fix el.po, it had question marks instead of non-ascii characters
     (closes: #609624)
   * Restore fa.po, he.po, zh_TW.po, same issue.
   * Revert latest update to pa.po, same issue.
   * Revert most of the last update to is.po, same issue.
Checksums-Sha1: 
 96bfec6ad7505cab1a04db950a0fd25c3c27690d 1906 console-setup_1.68.dsc
 551de4a3a54d2a34dbfd4bce7ab33c5703b54bd9 2783494 console-setup_1.68.tar.gz
 221eaa7c5f2b85e3af16a1f274809ba1b11d7678 388326 keyboard-configuration_1.68_all.deb
 521f0fba0cc5997873f604df6c0d4ff82c792356 641484 console-setup_1.68_all.deb
 f6678cccf3bad9bc6d84f1013287e2c8f8e26cfd 659108 console-setup-mini_1.68_all.deb
 342fd91198dee8c9fb46f326333472369b29a5b5 50066 bdf2psf_1.68_all.deb
 60faace6f4e469a36c9f87eca95a7bc9e2c5c6e4 307710 console-setup-udeb_1.68_all.udeb
 1d13e2d1f95e2002a4f2c18042429e4578f71e96 102852 console-setup-amiga-ekmap_1.68_all.udeb
 f9fe8321bae7b0e593e5946c5055eb5f8e2f0b2f 101606 console-setup-ataritt-ekmap_1.68_all.udeb
 6f7e88a8ff536f24f161cde16cae21b7d621dfba 80546 console-setup-macintoshold-ekmap_1.68_all.udeb
 5dbec80175e8046959f46840ad2cfa81e0eb4748 107384 console-setup-pc-ekmap_1.68_all.udeb
 df61d937c84256b58489d9efe8878e304e8db1e2 103522 console-setup-sun4-ekmap_1.68_all.udeb
 921de8fdf39ad021e5ab53239e6fb4214c8ab1ef 103830 console-setup-sun5-ekmap_1.68_all.udeb
 fde0baebb93279436c4979b827017bb65a2a79ec 29186 console-setup-fonts-udeb_1.68_all.udeb
Checksums-Sha256: 
 095aec0fb030a25abaa23ee2073d4ae7fd46760d2f38046dfd3701c415f23122 1906 console-setup_1.68.dsc
 90a274dd0fe291b3be8af5720bae5a4eaaca5350bda01ce6acd3b908f465c146 2783494 console-setup_1.68.tar.gz
 62228e0a0330425b94243700334f6b20452b56d396452b195e0090cae7d1d4e7 388326 keyboard-configuration_1.68_all.deb
 d2f456a858d1bf84d3134ff3429403011e9b3ed8ec4a90e983b9eec8bf549a0a 641484 console-setup_1.68_all.deb
 dc14eeafa157cc46f3afeba85a2c690e34895f2c8bbd88990a57538c98fa5864 659108 console-setup-mini_1.68_all.deb
 8cc1612140abe3eb8a61ad4c7bc79cab684187fdb14e7f3b3182f244312371ec 50066 bdf2psf_1.68_all.deb
 87957199fac139a613b48b161be1b151f2f8e8ff26773831d20116ce28b0e708 307710 console-setup-udeb_1.68_all.udeb
 91eec431a4fa3a1199c84e6db8d5153e9fccb5bfc93fedc9c60a5a44e9ee68fc 102852 console-setup-amiga-ekmap_1.68_all.udeb
 c1ac703fb1c9e95672f1b41cbe4dcb0ea0bb4a5c8e47cb06b948940e29abd162 101606 console-setup-ataritt-ekmap_1.68_all.udeb
 c897f87633c1b605d5399bbebba919fdc3943ba62009d1fb2a19cffe0de185de 80546 console-setup-macintoshold-ekmap_1.68_all.udeb
 b30813742c4bfbefc9e4df6216f304327bbfe2ca3c538b670d4d8d02efe29b45 107384 console-setup-pc-ekmap_1.68_all.udeb
 6826cdb751fc04cea0e90ae5dfb08ec8961e36106ea090dac445115c540a2ce4 103522 console-setup-sun4-ekmap_1.68_all.udeb
 ea367e0739c800388a3c6afcf41b959c8fa64586973f33e1fdf4bd6782c66b84 103830 console-setup-sun5-ekmap_1.68_all.udeb
 a369eda4229054f0830e230cbaaa847b544f03e21f2f08328a30de712093e731 29186 console-setup-fonts-udeb_1.68_all.udeb
Files: 
 4b0388b1c2778ea75f5a6bc83f2a1065 1906 utils optional console-setup_1.68.dsc
 2e2db1b4d7482204656212462d99e62b 2783494 utils optional console-setup_1.68.tar.gz
 c086b7f1ee659c6c1a25723034211c42 388326 utils optional keyboard-configuration_1.68_all.deb
 2b4d1d7dff6e90a93c67a6692f883522 641484 utils optional console-setup_1.68_all.deb
 dfff8c666c0e06f1e610d619a6c32c59 659108 utils extra console-setup-mini_1.68_all.deb
 066ffa61b030d71bbd7ad408e7aa0468 50066 utils optional bdf2psf_1.68_all.deb
 588332d76532e47ea209be85fc9113e2 307710 debian-installer extra console-setup-udeb_1.68_all.udeb
 a71dc74138cf0701a819e3996402b355 102852 debian-installer extra console-setup-amiga-ekmap_1.68_all.udeb
 3a1cdfe787b7490f65c3f7b051f2b45e 101606 debian-installer extra console-setup-ataritt-ekmap_1.68_all.udeb
 d302cca07806e13a7103893d0efa26f4 80546 debian-installer extra console-setup-macintoshold-ekmap_1.68_all.udeb
 f95970caa5a6ed4dcd8c06808a3a1647 107384 debian-installer extra console-setup-pc-ekmap_1.68_all.udeb
 4fc7b026554e41d6051be49b514d7da3 103522 debian-installer extra console-setup-sun4-ekmap_1.68_all.udeb
 eec842909d49d722480e508cceed3792 103830 debian-installer extra console-setup-sun5-ekmap_1.68_all.udeb
 b57b403ef13e77d9e3671f3391911406 29186 debian-installer extra console-setup-fonts-udeb_1.68_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNLFPpAAoJEDEBgAUJBeQMCMgP/jSxvS2Ko8JJj2R0BzgNGecN
L0/M70d9YQUEfN3WIIxs5w471KGUBHZ+jqGq/B2oJrYDRXfn/3nVBhiVXWcXWsDL
m+Kge5wsEtXsvfQCpqzOgM+fb9JOrDFH6G9qcSO4oCj1I0HWxn6fx7MMMWFuCNvb
12qSsUJfCSFTKytfrMMa/U/b01O7HGhBtTk4FYGx4Piy39xbBnFLeuKHH8XWYspF
5cfjMb6vNOQjJIq3Sg1NyDOJkhNeazbEdSwhCb9jhKNFm7AikjfPGyknJcnZnXkc
jp6Jq+GENEWDC3v8zpDvF4e5jiWzh2HVHyUjsBnxrMiqRIgtr+kwiOTk9/ynwTJF
Ry0qv2OckGnFkS6jMnhiQa2lp9H9E3Q5hvrjvoEl4JD1jPWxwoCv27yruZUB1bqF
/kBc/udAmBsnnKNK2JTSu8OTkxPwjJbCOR8/qHQcV89cuOd668DwolaPx9rC/HuW
zT1+l2OuiMHI3GqD/3XJa7Gz43UtQhX/DVe0A1CTMBkZF+MiZm+xOqAXpTvC7awE
jv3WsUwErYOfBakJh7/fWXfQlwZybyLS/4hzWC+dJ2VJ6yR4+grLDP8qtDaSDlYM
2TGiuiV75huHg6GX2fupeLltUpcb0nXpHv5Q7OUmo/pgANBEXZXYoHMuDDNd9yXQ
8ekCCAEZgiTDD+VgwsiE
=akNc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 19:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 19:03:11 GMT) Full text and rfc822 format available.

Message #65 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Cristau <jcristau@debian.org>, 609624@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 19:02:03 +0100
[Message part 1 (text/plain, inline)]
Quoting Julien Cristau (jcristau@debian.org):
> On Tue, Jan 11, 2011 at 10:58:11 +0100, Julien Cristau wrote:
> 
> > $ grep -c '??' debian/po/*|grep -v :0
> > debian/po/fa.po:122
> 
> Should be restored.
> 
> > debian/po/he.po:47
> 
> Restored minus one string.
> 
> > debian/po/is.po:118
> 
> This doesn't seem to be in a bug report, so I don't know where to find
> the original file.
> 
> > debian/po/pa.po:162
> 
> Same, as is.po, I can't find it.


Of crap, probably both were sent to me directly (happens with some
translators...).

I see that you uploaded today to fix what you could fix. I'll try to
reupload something else if I can dig out  the latest versions of
everything.

Sadly, none of the automated tests I had up to now were able to detect
such error. I'll add something like "grep '??' foo.po" in my local PO
file test script to avoid this in the future (unnless mutt is soon fixed).


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Tue, 11 Jan 2011 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 19:09:06 GMT) Full text and rfc822 format available.

Message #70 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Cristau <jcristau@debian.org>, 609624@bugs.debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Tue, 11 Jan 2011 18:58:43 +0100
[Message part 1 (text/plain, inline)]
Quoting Julien Cristau (jcristau@debian.org):
> On Tue, Jan 11, 2011 at 06:58:39 +0100, Christian PERRIER wrote:
> 
> > Here's the file, resynced with the current POT file, and using the
> > correct encoding.
> > 
> Thanks.  Should I take care of an upload?


I built c-s today with that fix. I should upload it tonight...unless
my attention is driven elsewhere by real life.

Please feel free to upload tomorrow if nothing happened.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Wed, 12 Jan 2011 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 16:51:06 GMT) Full text and rfc822 format available.

Message #75 received at 609624@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Julien Cristau <jcristau@debian.org>, 609624@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Wed, 12 Jan 2011 12:48:49 -0400
[Message part 1 (text/plain, inline)]
Julien Cristau wrote:
> And it's not just console-setup, either.  Though that seems to have
> gathered the worst of it.  http://paste.debian.net/104282/

Perhaps lintian should test for it?

| source/debconf/debfiles/po/he.po:msgstr "????????????"

Hmm, I don't see that in the current debconf source package.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Wed, 12 Jan 2011 17:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 17:09:10 GMT) Full text and rfc822 format available.

Message #80 received at 609624@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Joey Hess <joeyh@debian.org>, 609624@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, bubulle@debian.org
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Wed, 12 Jan 2011 18:07:03 +0100
[Message part 1 (text/plain, inline)]
Joey Hess <joeyh@debian.org> (12/01/2011):
> | source/debconf/debfiles/po/he.po:msgstr "????????????"
> 
> Hmm, I don't see that in the current debconf source package.

po/he.po vs. debian/po/he.po? The latter has those, the former
doesn't.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Wed, 12 Jan 2011 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 21:12:03 GMT) Full text and rfc822 format available.

Message #85 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Wed, 12 Jan 2011 22:07:49 +0100
[Message part 1 (text/plain, inline)]
Quoting Cyril Brulebois (kibi@debian.org):
> Joey Hess <joeyh@debian.org> (12/01/2011):
> > | source/debconf/debfiles/po/he.po:msgstr "????????????"
> > 
> > Hmm, I don't see that in the current debconf source package.
> 
> po/he.po vs. debian/po/he.po? The latter has those, the former
> doesn't.

And I actually can't retrieve the correct file for debconf's debconf
translation in Hebrew.

I committed the file on 2/17/2010 but I got it directly as it seems.

/me digging in old mailboxes....


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609624; Package console-setup. (Wed, 12 Jan 2011 21:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 21:18:07 GMT) Full text and rfc822 format available.

Message #90 received at 609624@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 609624@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#609624: console-setup: Broken Greek translation
Date: Wed, 12 Jan 2011 22:14:44 +0100
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Quoting Cyril Brulebois (kibi@debian.org):
> > Joey Hess <joeyh@debian.org> (12/01/2011):
> > > | source/debconf/debfiles/po/he.po:msgstr "????????????"
> > > 
> > > Hmm, I don't see that in the current debconf source package.
> > 
> > po/he.po vs. debian/po/he.po? The latter has those, the former
> > doesn't.
> 
> And I actually can't retrieve the correct file for debconf's debconf
> translation in Hebrew.
> 
> I committed the file on 2/17/2010 but I got it directly as it seems.
> 
> /me digging in old mailboxes....

Bingo. Fixed translation committed.


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Feb 2011 07:34:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:09:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.